Debian Bug report logs - #729754
ITP: povray -- persistence of vision raytracer (3D renderer)

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Logan Rosen <logan@ubuntu.com>

Date: Sat, 16 Nov 2013 20:15:02 UTC

Owned by: Andreas Beckmann <anbe@debian.org>

Severity: wishlist

Fixed in version povray/1:3.7.0.0-1

Done: Andreas Beckmann <anbe@debian.org>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, logan@ubuntu.com, wnpp@debian.org:
Bug#729754; Package wnpp. (Sat, 16 Nov 2013 20:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Logan Rosen <logan@ubuntu.com>:
New Bug report received and forwarded. Copy sent to logan@ubuntu.com, wnpp@debian.org. (Sat, 16 Nov 2013 20:15:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Logan Rosen <logan@ubuntu.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: povray -- persistence of vision raytracer (3D renderer)
Date: Sat, 16 Nov 2013 15:13:37 -0500
Package: wnpp
Severity: wishlist

* Package name    : povray
  Version         : 3.7.00
  Upstream Author : Persistence of Vision Raytracer Pty. Ltd.
* URL             : http://www.povray.org/
* License         : AGPL
  Programming Lang: C++
  Description     : persistence of vision raytracer (3D renderer)



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#729754; Package wnpp. (Thu, 16 Jan 2014 14:09:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <anbe@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 16 Jan 2014 14:09:13 GMT) Full text and rfc822 format available.

Message #10 received at 729754@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <anbe@debian.org>
To: Logan Rosen <logan@ubuntu.com>
Cc: 729754@bugs.debian.org
Subject: Re: RFP: povray -- persistence of vision raytracer (3D renderer)
Date: Thu, 16 Jan 2014 15:07:40 +0100
Control: retitle -1 ITP: povray -- persistence of vision raytracer (3D renderer)
Control: owner -1 !

On Saturday, 16. November 2013 21:13:37 Logan Rosen wrote:
> * Package name    : povray
>   Version         : 3.7.00

Looks like I (or rather a colleague of mine) will need this, so I'm resurrecting povray.

Andreas



Changed Bug title to 'ITP: povray -- persistence of vision raytracer (3D renderer)' from 'RFP: povray -- persistence of vision raytracer (3D renderer)' Request was from Andreas Beckmann <anbe@debian.org> to 729754-submit@bugs.debian.org. (Thu, 16 Jan 2014 14:09:13 GMT) Full text and rfc822 format available.

Owner recorded as Andreas Beckmann <anbe@debian.org>. Request was from Andreas Beckmann <anbe@debian.org> to 729754-submit@bugs.debian.org. (Thu, 16 Jan 2014 14:09:14 GMT) Full text and rfc822 format available.

Reply sent to Andreas Beckmann <anbe@debian.org>:
You have taken responsibility. (Thu, 17 Apr 2014 16:03:24 GMT) Full text and rfc822 format available.

Notification sent to Logan Rosen <logan@ubuntu.com>:
Bug acknowledged by developer. (Thu, 17 Apr 2014 16:03:24 GMT) Full text and rfc822 format available.

Message #19 received at 729754-close@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <anbe@debian.org>
To: 729754-close@bugs.debian.org
Subject: Bug#729754: fixed in povray 1:3.7.0.0-1
Date: Thu, 17 Apr 2014 16:00:09 +0000
Source: povray
Source-Version: 1:3.7.0.0-1

We believe that the bug you reported is fixed in the latest version of
povray, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 729754@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andreas Beckmann <anbe@debian.org> (supplier of updated povray package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 31 Jan 2014 18:34:39 +0100
Source: povray
Binary: povray povray-includes povray-doc povray-examples
Architecture: source amd64 all
Version: 1:3.7.0.0-1
Distribution: unstable
Urgency: low
Maintainer: Andreas Beckmann <anbe@debian.org>
Changed-By: Andreas Beckmann <anbe@debian.org>
Description: 
 povray     - Persistence of vision raytracer (3D renderer)
 povray-doc - Persistence of vision raytracer (3D renderer) documentation
 povray-examples - Persistence of vision raytracer (3D renderer) sample files
 povray-includes - Persistance of vision raytracer (3D renderer) include files
Closes: 501591 501592 684247 686510 687948 729754
Changes: 
 povray (1:3.7.0.0-1) unstable; urgency=low
 .
   [ Andreas Beckmann ]
   * New upstream release.  (Closes: #729754, #686510)
   * New maintainer.
   * POV-ray is now licensed under GNU AGPL-3.0+.
   * Sample scenes and includes are licensed under CC-BY-SA-3.0/CC-BY-3.0.
   * Move the package back from non-free into main.
   * Switch to source format 3.0 (quilt).
   * Refresh patches: 10_includes-location, 40_bashism.diff.
   * Remove patch: 20_glass.diff, fixed upstream.
   * Disable patch: 80_beta.diff.
   * Cherry-picked build system fixes from upstream git:
     0001-quiet-compiler-warnings-building-with-gcc-and-clang.patch
     0002-Account-for-changes-in-boost-dependencies.patch
     0003-Make-sure-Makefile.in-gets-generated-properly.patch
     0004-Fix-for-configure-attempting-to-link-boost_system-ev.patch
     0005-fix-typo-in-configure.ac.patch
     0006-fix-GitHub-issues-5-and-6.patch
     0007-added-header-files-to-hold-Unix-flavor-specific-conf.patch
   * Add new patch to fix some typos: fix-typos.patch.
   * Switch to debhelper compat level 9.
   * Bump Standards-Version to 3.9.5.
   * Update Build-Depends.
   * Build against libopenexr, libsdl, and libxpm.
   * Ensure to build against system libraries.  (Closes: #684247)
   * Install files in upstream's default (/usr/share/povray-3.7).
   * d/rules: Run unix/pre-build.sh to generate configure.
   * d/rules: Minimize and use dh.
   * d/watch: Point to github.
   * d/povray.docs: Add more documentation.
   * Install changes.txt as upstream changelog.
   * Disable building the currently empty povray-doc package.
   * Remove Suggests: kpovmodeler (was for KDE3 only).  (Closes: #687948)
   * Apply manpage patch from Olivier STOLTZ DOUCHET: povray.man.patch.
     (Closes: #501591, #501592)
   * Upload to unstable.
Checksums-Sha1: 
 ae5ef977540f50e685a88301456fccfe509c1a54 2147 povray_3.7.0.0-1.dsc
 1d160d45e69d096e4c22f3b034dcc9ee94d22208 38191521 povray_3.7.0.0.orig.tar.gz
 376ea50862abd4e9cdc9b6f7fa729a3986822262 70800 povray_3.7.0.0-1.debian.tar.xz
 c3face234c6e74604bbaf38e45ff0043e9dad2ba 1115212 povray_3.7.0.0-1_amd64.deb
 5594c110dcadce8e67d593028c0299959da0053a 262798 povray-includes_3.7.0.0-1_all.deb
 11817dddbfd2a29fab701c26bb3ef78ba24cdd79 10158774 povray-examples_3.7.0.0-1_all.deb
Checksums-Sha256: 
 db757eabf775253f2f9e9b1881371b76822af518fb9f510a2157f151d5bc150d 2147 povray_3.7.0.0-1.dsc
 bf68861d648e3acafbd1d83a25016a0c68547b257e4fa79fb36eb5f08d665f27 38191521 povray_3.7.0.0.orig.tar.gz
 24f649508e42d9a73e2d20053b03f52909341e839dc4a221830f51e8d917cc35 70800 povray_3.7.0.0-1.debian.tar.xz
 2e53d306d3fa9403edb482cbf81f80b8bac851b4d29abd747a0bf92b6d331f3e 1115212 povray_3.7.0.0-1_amd64.deb
 0abbfb853ac4c40aac65af84e226467649813c45f8304ec5377307d2783c522a 262798 povray-includes_3.7.0.0-1_all.deb
 c548965da019ad37adf22665fa1bbb02b64e9e626dd3dc67de477fdb64ec337a 10158774 povray-examples_3.7.0.0-1_all.deb
Files: 
 e8a63732868f90cdcab7483b9ecbe511 2147 graphics extra povray_3.7.0.0-1.dsc
 c9473256677808e9e3246e6eb8f69a75 38191521 graphics extra povray_3.7.0.0.orig.tar.gz
 81cfb475e48d63082f14343995d89faa 70800 graphics extra povray_3.7.0.0-1.debian.tar.xz
 88b6bec2dffa8f29fcf6cc3c29230ffa 1115212 graphics extra povray_3.7.0.0-1_amd64.deb
 fdbbfb082c4cd39e670d86e7740f04b9 262798 graphics extra povray-includes_3.7.0.0-1_all.deb
 b41c781123ccc0344c53d64c08aaa672 10158774 graphics extra povray-examples_3.7.0.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJS6+CzAAoJEF+zP5NZ6e0InKgQAJxja7f6eZuB6tWPCwGhUg7U
yyC1hwK2nhkNZ+Bi0s/wbDWENwPP9UPxmQxBuYtWuLWrOJ7SjYQbmPYVp1+rLN2e
FgevXfrsQ/l4AnaliXgPj/pX6xzviCb5L+ENLSu9cNZVw+iQ0TnbQGt3dmoRVgks
H4c5AM2i12yS15g6pDzxqqaAPR4EQXwOAMP+GPbmJZtbm/xtoI7AkgZ4gjhoxKEP
3YBZuO6RuyDqWhYePLoBNLtVfRpRdNmVLwEqVcM/ibAc0m7MzrGLeFfWtAgKWRgd
MBPizRgdltEvcPw+eGUJynD/DsNMAI2dWu1Pu5B43zHUeLuR+g7oERyXrKdiLCk0
49qFHSYDPeP6Mwg/1r+6jUKVquVQylcWBCB8mUsC8zUmeJnpCTk3cNOLH+T5tZhG
jZ4OneBkArKcKssl6Kzs+jYRetvRFNnUGqp/m6nFJeOGdvvBTF0Q7NrExgLnX72m
aWUTmFMYyAkWLrezlylX7aQ4F1YVVj3wrdZosoLDqLJs/mfDa5hmlCQq9YBXB6nf
G+uFXldtzWej87KD7IqNp9Rgwy0LBjOdlQ9rYusVMt7iQKwVSh9d3D0eW2hps41P
tfQR2qCFD9NGpBrUCNyU+wo+fzzBbb1H5F0D29mHVbvTHHYkrGVvECKz/AtFc7Pb
dSx0EGfBH5lfsWxxH3bp
=f9Fr
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 07:03:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.